Exiv2 - Bug #808

build failure in jpgimage.cpp - namespace
25 Jan 2012 14:31 - Pavel Heimlich

Status: Closed Start date: 25 Jan 2012
Priority: Normal Due date:

Assignee: Andreas Huggel % Done: 100%
Category: jpeg parser Estimated time: 0.00 hour
Target version: 0.23

Description

exiv2 0.22 fails with the below error

libtool: compile: /opt/test2/SolarisStudio12.3-solaris-x86-bin/solarisstudio12.3/bin/CC -library=stdcxx4 -ICrun -xldscope=hidden -I.
"-DEXV_LOCALEDIR=\"/usr/local/share/locale\"" -I../xmpsdk/include -¢c -DEXV_BUILDING_LIB=1 jpgimage.cpp -KPIC -DPIC -o

libs/jpgimage.o

"ipgimage.cpp”, line 797: Error: Could not find a match for Exiv2::find<Exiv2::T, Exiv2::K, Exiv2::N>(int*, int*, int) needed in

Exiv2::JpegBase::doWriteMetadata(Exiv2::Basiclo&).
1 Error(s) detected.

the attached patch fixes if for me

this is on Solaris 11 using the Solaris Studio 12.3 compiler, x86

Associated revisions

Revision 2666 - 25 Feb 2012 00:15 - Andreas Huggel
#808: Applied patch by Pavel Heimlich.

History

#1 - 25 Feb 2012 00:16 - Andreas Huggel
- Status changed from New to Resolved

- Assignee set to Andreas Huggel

- Target version set to 0.23

- % Done changed from 0 to 100

Applied the patch without any changes, thanks!

#2 - 03 May 2012 17:14 - Andreas Huggel

- Status changed from Resolved to Closed
exiv2-jpgimage.diff 577 Bytes
